Page MenuHomePhabricator

Co-op: get approval for hostbot to flow-create-board right
Closed, InvalidPublic

Description

When a user or bot makes new topic or Flow board header on empty page, Flow checks the flow-create-board` right before making the new page a Flow board.

HostBot owners will propose to Bot Approval Group the addition of the fllow-bot usergroup to HostBot for purposes of facilitating the Co-op project. We will link that from enwiki's Village Pump Technical for visibility. HostBot has been through this process[1] five or so times already and should be familiar with the requirements on their end.

(Since this is only creating a Flow board where non existed before, Flow does not consult editcontentmodel, the right to change content model. When we have a Special:Flowify or Special:Flownomore to change existing pages, then editcontentmodel will apply.)

[1] https://en.wikipedia.org/wiki/User:HostBot#BAG_Approvals


Trello card: y2bOSmQO

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAllow enwiki bots to create flow boards

Related Objects

Event Timeline

Spage raised the priority of this task from to Normal.Dec 4 2014, 9:53 PM
Quiddity set Security to None.Dec 4 2014, 10:18 PM
Quiddity added a subscriber: Capt_Swing.
Spage renamed this task from Co-op: get approval for bot to have ContentModel right, ? new flow-create-board right (2) to Co-op: get approval for bot to have editcontentmodel right & new flow-create-board right (2).Dec 5 2014, 1:48 AM
Spage updated the task description. (Show Details)

Change 178388 had a related patch set uploaded (by EBernhardson):
Allow enwiki bots to create flow boards

https://gerrit.wikimedia.org/r/178388

Patch-For-Review

EBernhardson added a subscriber: EBernhardson.EditedDec 9 2014, 2:05 AM

Initial copy for text to be posted to WP:VPT. We should also link the WP:VPT section from the BAG talk page: P130

EBernhardson added a subscriber: Legoktm.EditedDec 9 2014, 2:07 AM

@Anomie @Legoktm Could you look over P130, just curious if there are other details we should be including up-front.

@EBernhardson, I made minor edits, which turned into P135 (phorking?).

Spage renamed this task from Co-op: get approval for bot to have editcontentmodel right & new flow-create-board right (2) to Co-op: get approval for hostbot to flow-create-board right (2).Dec 11 2014, 7:18 PM
Spage updated the task description. (Show Details)

Change 178388 abandoned by EBernhardson:
Allow enwiki bots to create flow boards

Reason:
taking a different approach, will define user group in Flow for this and request adding that group to HostBot through the BAG.

https://gerrit.wikimedia.org/r/178388

EBernhardson updated the task description. (Show Details)Dec 17 2014, 8:38 PM

At the suggestion of anomie and others we have decided to forgo adding the rights to the bot group, and instead created a new group in Flow called flow-bot. HostBot will need to go through the standard BAG approvals process on enwiki to have the flow-bot usergroup assigned to it.

I re-assigned this to myself, since I'm the bot owner. If I understand things correctly, this is a non-technical task: we're just covering the bot approval here, NOT the creation of the flow-bot user group. Is that correct?

I re-assigned this to myself, since I'm the bot owner. If I understand things correctly, this is a non-technical task: we're just covering the bot approval here, NOT the creation of the flow-bot user group. Is that correct?

Yes.

The group already exists on MediaWiki.org and the test wikis (see https://www.mediawiki.org/wiki/Special:ListGroupRights), and will soon exist on the remainder of the wikis (Wednesday, if things go per schedule). The remainder is just the standard BAG approval process.

Spage renamed this task from Co-op: get approval for hostbot to flow-create-board right (2) to Co-op: get approval for hostbot to flow-create-board right.Jan 6 2015, 2:33 AM
Spage edited a custom field.

Will the Bot Approval Group actually grant the flow-bot right to HostBot,or does the cabal ask an enwiki bureaucrat or sysadmin to do it? I made T86403: Configure WMF groups so the enwiki Bot Approval Group can grant flow-bot right to Co-op bot.

ErikB mentioned this in his e-mail to wikitech-l "Changing contentmodel of pages".

I believe members of the BAG are all members of the 'botadmin' group. We need to adjust the prod config so that botadmin can grant and remove the flow-bot group from people.

I don't see any botadmin group at https://en.wikipedia.org/wiki/Special:ListGroupRights (check View-Source, since the technical group name only appears in the "list of members" link).

Maybe the actual promotion (if BAG approves) is done by the bureaucrat group?

Indeed after checking the enwiki database, the only shared role between the members is 'sysop' which is likely only tangentially related. I suppose they must have a bureaucrat do it for them.

Actually one of the members of the bag is a bureaucrat, so that user probably does it when available.

Capt_Swing moved this task from Backlog to Bots on the Community-IdeaLab board.Jan 14 2015, 1:31 AM

Note: waiting for the rest of the Co-op to be completed before I run with this. - J

Capt_Swing edited a custom field.
Capt_Swing removed a project: Community-IdeaLab.

@Capt_Swing As an update, we've completed final template work needed for the front page (see here). The profiles there are filler and we are just waiting on the profile modules (T90366) and the enabling of FormWizard on en.wiki (T89322) to allow mentors to begin to make actual profiles. You've said that the moving of module pages will not take so long, but I am wondering more about FormWizard and when you expect it will be enabled on en.wiki?

I_JethroBT moved this task from Backlog to HostBot on the Co-op board.Feb 26 2015, 4:03 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM
I_JethroBT closed this task as Invalid.Feb 7 2016, 8:51 PM

Co-op is inactive for the time being.